import 'package:comunic/ui/routes/main_route/main_route.dart';
import 'package:flutter/material.dart';

/// Main tablet route
///
/// @author Pierre Hubert

class TabletRoute extends StatefulWidget implements MainRoute {
  @override
  _TabletRouteState createState() => _TabletRouteState();
}

class _TabletRouteState extends State<TabletRoute> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: _buildAppBar(),
      body: _buildBody(),
    );
  }

  Widget _buildAppBar() => AppBar(
        title: Text("Comunic"),
        actions: <Widget>[
          IconButton(icon: Icon(Icons.notifications), onPressed: () {}),
          IconButton(icon: Icon(Icons.message), onPressed: () {}),
          PopupMenuButton(itemBuilder: (c) => []),
        ],
      );

  Widget _buildBody() => Row(
        children: <Widget>[_buildLeftPane(), _buildRightPane()],
      );

  Widget _buildLeftPane() => Container(
        width: 300,
        color: Color(0xFF222D32),
      );

  Widget _buildRightPane() => Container();
}
